Subject: Re: bug#12989: 24.3.50; buffer-file-type is not buffer-local

From: Stefan Monnier <[email-masked]>
Date: Sat, 09 Feb 2013 09:29:18 -0500

> A question for Stefan: should I also remove these from subr.el:

Not sure.

> I thought I'd leave them in case some non-bundled code uses them.  But
> maybe this is not needed.

I'll let you judge.  If all users just let-bind or setq those vars,
there's no need to keep them around.  I'd suggest to remove them, and
if/when someone complains about resulting breakage, we may revisit
this choice.

        Stefan